<div>
  <ng-template matStepLabel>Select data source</ng-template>
  <button mat-button (click)="fileInput.click()">
    <mat-icon>library_add</mat-icon>
    <span>Select</span>
    <input #fileInput type="file" (change)="onFileInput($event)" style="display:none;" />
  </button>
</div>
<div>
  <mat-form-field>
    <mat-select (selectionChange)=parseFile() placeholder="Select encoding" [(value)]="fileEncoding" name="enc">
      <mat-option *ngFor="let encoding of allEncodings" [value]="encoding">
        {{encoding}}
      </mat-option>
    </mat-select>
  </mat-form-field>
</div>
<div>
  <table class="snap-time-preview" *ngIf="dataList">
    <tbody>
      <tr>
        <th *ngFor="let header of dataList[0] | keyvalue">
          {{header.key}}
          <app-header-data-binder [columnName]="header.key">
          </app-header-data-binder>
        </th>

      </tr>
      <tr *ngFor="let record of dataList">
        <td *ngFor="let item of record | keyvalue"> {{item.value}} </td>
      </tr>
    </tbody>
  </table>
</div>
<button mat-button (click)="importData()">Import</button>
